Subject: bug#37485: 27.0.50; C-m in describe-bindings

From: Andreas Schwab <[email-masked]>
Date: Mon, 23 Sep 2019 14:16:25 +0200

On Sep 23 2019, Lars Ingebrigtsen <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
>>> C-c RET b	mml-attach-buffer
>>> C-c RET c	Prefix Command
>>> 
>>> I know that `C-m' and RET is the same key binding, but I also think that
>>> when this key is used as a prefix key, I don't think anybody has ever
>>> wanted that to be RET instead of `C-m'.
>>
>> It's a key you press, so I think it's a Good Thing that we use RET
>> here.
>
> I'm not sure I understand...
>
> Both RET and C-m are keys we press, but the intended (both mnemonic and
> ergonomic) key stroke here is `C-c C-m c' (etc) and not the awkward `C-c
> RET c'.

C-m and RET are one and the same.  You are probably confusing it with
<return>.

Andreas.

-- 
Andreas Schwab, SUSE Labs, [email-masked]
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."